;InnoSetupVersion=5.1.10

[Setup]
AppName=NoteZilla
AppVerName=NoteZilla 7.0
AppId=NoteZilla
AppPublisher=Conceptworld Corporation
AppPublisherURL=http://www.conceptworld.com/
AppSupportURL=http://www.conceptworld.com/
AppUpdatesURL=http://www.conceptworld.com/
DefaultDirName={code:GetDefaultDirectory}
DefaultGroupName=NoteZilla
OutputBaseFilename=setup
Compression=lzma
DisableProgramGroupPage=yes
ChangesAssociations=yes
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\NoteZilla.exe"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: restartreplace ignoreversion uninsremovereadonly 
Source: "{app}\PalmSync.exe"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: restartreplace ignoreversion uninsremovereadonly 
Source: "{app}\Skinz.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: restartreplace ignoreversion uninsremovereadonly 
Source: "{app}\ZipArchive.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: restartreplace ignoreversion uninsremovereadonly 
Source: "{app}\zlib.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: restartreplace ignoreversion uninsremovereadonly 
Source: "{app}\sqlite3.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: restartreplace ignoreversion uninsremovereadonly 
Source: "{app}\XTP9700Lib.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: restartreplace ignoreversion uninsremovereadonly 
Source: "{app}\ssce5532.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: restartreplace ignoreversion uninsremovereadonly 
Source: "{app}\Dictionaries\accent.tlx"; DestDir: "{app}\Dictionaries"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Dictionaries\correct.tlx"; DestDir: "{app}\Dictionaries"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Dictionaries\ssceam.tlx"; DestDir: "{app}\Dictionaries"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Dictionaries\ssceam2.clx"; DestDir: "{app}\Dictionaries"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Dictionaries\sscebr.tlx"; DestDir: "{app}\Dictionaries"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Dictionaries\sscebr2.clx"; DestDir: "{app}\Dictionaries"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Dictionaries\tech.tlx"; DestDir: "{app}\Dictionaries"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Skins\Classic Gradient.ssz"; DestDir: "{app}\Skins"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Skins\Classic.ssz"; DestDir: "{app}\Skins"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Skins\Crumpled Paper.ssz"; DestDir: "{app}\Skins"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Skins\Water Ripple.ssz"; DestDir: "{app}\Skins"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Help\NoteZilla.chm"; DestDir: "{app}\Help"; MinVersion: 0.0,5.0; Flags: restartreplace ignoreversion uninsremovereadonly 
Source: "{app}\Help\SpellChecker.chm"; DestDir: "{app}\Help"; MinVersion: 0.0,5.0; Flags: restartreplace ignoreversion uninsremovereadonly 
Source: "{app}\Sounds\Empty Trash.wav"; DestDir: "{app}\Sounds"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Sounds\Receive Note.wav"; DestDir: "{app}\Sounds"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Sounds\Reminder.wav"; DestDir: "{app}\Sounds"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Images\BuyLater.gif"; DestDir: "{app}\Images"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Images\BuyNow.gif"; DestDir: "{app}\Images"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Images\EnterKey.gif"; DestDir: "{app}\Images"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Images\LogoBig.gif"; DestDir: "{app}\Images"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\Templates\HtmlDocumentTemplate.html"; DestDir: "{app}\Templates"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{app}\NoteZillaDemo.nzn"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: ignoreversion uninsremovereadonly 
Source: "{sys}\mfc71.dll"; DestDir: "{sys}"; MinVersion: 0.0,5.0; Flags: uninsneveruninstall restartreplace 32bit 
Source: "{sys}\msvcr71.dll"; DestDir: "{sys}"; MinVersion: 0.0,5.0; Flags: uninsneveruninstall restartreplace 32bit 
Source: "{sys}\msvcp71.dll"; DestDir: "{sys}"; MinVersion: 0.0,5.0; Flags: uninsneveruninstall restartreplace 32bit 
Source: "{app}\CondMgr.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: restartreplace uninsremovereadonly 

[Registry]
Root: HKCU; Subkey: "Software\Conceptworld\NoteZilla\Settings"; ValueName: "MajorVersion"; ValueType: Dword; ValueData: "$7"; MinVersion: 0.0,5.0; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Conceptworld\NoteZilla\Settings"; ValueName: "MinorVersion"; ValueType: Dword; ValueData: "$0"; MinVersion: 0.0,5.0; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Conceptworld\NoteZilla\Settings"; ValueName: "Build"; ValueType: Dword; ValueData: "$55"; MinVersion: 0.0,5.0; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Conceptworld\NoteZilla\Settings"; ValueName: "InstallPath"; ValueType: String; ValueData: "{app}"; MinVersion: 0.0,5.0; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Conceptworld\NoteZilla\Settings"; ValueName: "JustInstalled"; ValueType: Dword; ValueData: "$1"; MinVersion: 0.0,5.0; Flags: uninsdeletevalue 
Root: HKLM32; Subkey: "Software\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Layers"; ValueName: "{app}\NoteZilla.exe"; ValueType: String; ValueData: "DisableNXShowUI"; MinVersion: 0.0,5.02; Flags: uninsdeletevalue 
Root: HKLM64; Subkey: "Software\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Layers"; ValueName: "{app}\NoteZilla.exe"; ValueType: String; ValueData: "DisableNXShowUI"; Check: "IsWin64"; MinVersion: 0.0,5.02; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "NoteZilla"; ValueType: String; ValueData: "{app}\NoteZilla.exe"; MinVersion: 0.0,5.0; Flags: uninsdeletevalue 
Root: HKCR; Subkey: ".nzn"; ValueType: String; ValueData: "NoteZilla.StickyNote"; MinVersion: 0.0,5.0; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "NoteZilla.StickyNote"; ValueType: String; ValueData: "NoteZilla Sticky Note"; MinVersion: 0.0,5.0; Flags: uninsdeletekey 
Root: HKCR; Subkey: "NoteZilla.StickyNote\shell\open\command"; ValueType: String; ValueData: """{app}\NoteZilla.exe"" /CreateNewNote ""%1"""; MinVersion: 0.0,5.0; 

[Run]
Filename: "{app}\NoteZilla.exe"; Description: "Launch NoteZilla"; MinVersion: 0.0,5.0; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "http://www.conceptworld.com/redirect.asp?Product=NoteZilla&Action=UninstallSurvey"; MinVersion: 0.0,5.0; Flags: shellexec nowait

[Icons]
Name: "{group}\NoteZilla"; Filename: "{app}\NoteZilla.exe"; MinVersion: 0.0,5.0; 
Name: "{group}\NoteZilla Notes Browser"; Filename: "{app}\NoteZilla.exe"; Parameters: "/ShowNotesBrowser"; MinVersion: 0.0,5.0; 
Name: "{group}\NoteZilla Help"; Filename: "{app}\Help\NoteZilla.chm"; MinVersion: 0.0,5.0; 
Name: "{group}\Uninstall NoteZilla"; Filename: "{uninstallexe}"; MinVersion: 0.0,5.0; 
Name: "{app}\Create New Note (NoteZilla)"; Filename: "{app}\NoteZilla.exe"; Parameters: "/CreateNewNote"; MinVersion: 0.0,5.0; 
Name: "{app}\Bring Notes On Top (NoteZilla)"; Filename: "{app}\NoteZilla.exe"; Parameters: "/BringNotesOnTop"; MinVersion: 0.0,5.0; 
Name: "{commonstartmenu}\Create New Note (NoteZilla)"; Filename: "{app}\NoteZilla.exe"; Parameters: "/CreateNewNote"; MinVersion: 0.0,5.0; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Bring Notes On Top (NoteZilla)"; Filename: "{app}\NoteZilla.exe"; Parameters: "/BringNotesOnTop"; MinVersion: 0.0,5.0; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
